Package javax.servlet.http

# Interface HttpSessionAttributeListener

All Superinterfaces:
  `EventListener`

public interface HttpSessionAttributeListener extends EventListener
This listener interface can be implemented in order to get notifications of changes to the attribute lists of sessions within this web application.

Since:
  Servlet 2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `attributeAdded(HttpSessionBindingEvent se)`
  Notification that an attribute has been added to a session.
  `default void`
  `attributeRemoved(HttpSessionBindingEvent se)`
  Notification that an attribute has been removed from a session.
  `default void`
  `attributeReplaced(HttpSessionBindingEvent se)`
  Notification that an attribute has been replaced in a session.

- ## Method Details

  - ### attributeAdded

    default void attributeAdded(HttpSessionBindingEvent se)
    Notification that an attribute has been added to a session. Called after the attribute is added. The default implementation is a NO-OP.
    Parameters:
      `se` - Information about the added attribute

  - ### attributeRemoved

    default void attributeRemoved(HttpSessionBindingEvent se)
    Notification that an attribute has been removed from a session. Called after the attribute is removed. The default implementation is a NO-OP.
    Parameters:
      `se` - Information about the removed attribute

  - ### attributeReplaced

    default void attributeReplaced(HttpSessionBindingEvent se)
    Notification that an attribute has been replaced in a session. Called after the attribute is replaced. The default implementation is a NO-OP.
    Parameters:
      `se` - Information about the replaced attribute